6.0.0-git
2021-01-24

[#1729] open_calendar.js should honor a new Horde-wide week_start_monday preference
Summary open_calendar.js should honor a new Horde-wide week_start_monday preference
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester kevin_myer (at) iu13 (dot) org
Created 2005-04-08 (5770 days ago)
Due
Updated 2007-07-19 (4938 days ago)
Assigned
Resolved 2007-07-19 (4938 days ago)
Milestone
Patch No

History
2007-07-19 05:03:22 Chuck Hagenbuch Comment #2
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Done, finally. Although the horde pref and the kronolith one will stay 
disassociated for now for bc reasons.
2005-04-09 20:58:55 Jan Schneider State ⇒ Accepted
 
2005-04-08 15:06:35 kevin_myer (at) iu13 (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ open_calendar.js should honor a new Horde-wide week_start_monday preference
Queue ⇒ Horde Base
Reply to this comment
Kronolith currently has an application-specific preference for the day 
of the week to start on in your calendars (week_start_monday).   
However, Kronolith (and other applications) call 
Horde->addScript(open_calendar.js) to provide a popup calendar for 
selecting a date.  This calendar always starts the week on a Monday.



I'd suggest moving week_start_monday into the horde context, and then 
having that be used for all applications, and modifying little helper 
scripts, like open_calendar.js, to check that preference before 
generating the calendar.

Saved Queries